import { BigNumber } from "@ethersproject/bignumber";
import { ExternalProvider, Web3Provider } from "@ethersproject/providers";
import { AbstractConnector } from "@web3-react/abstract-connector";
import { useConnectWallet } from "./useConnectWallet";
import { ConnectorType, NetworkMetadata } from "./Web3Provider";
interface Balance {
    value?: BigNumber;
    formatted: string;
}
export interface Web3ContextInterface {
    error?: Error;
    chainId?: number;
    balance?: Balance;
    provider?: Web3Provider;
    connector?: AbstractConnector & {
        [key: string]: any;
    };
    activeProvider?: ExternalProvider;
    address?: string;
    connectors: ConnectorType[];
    connectWallet: ReturnType<typeof useConnectWallet>;
    disconnectWallet: () => void;
    getNetworkMetadata: (chainId: number) => NetworkMetadata;
}
export declare function useWeb3(): Web3ContextInterface;
export {};
